Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Mon, 15 Aug 2022 18:23:51 -0400

Gregory Heytings [2022-08-15 22:14:07] wrote:
>>> There have been many more complaints about being unable to edit a file
>>> with a 5000+ line comfortably, than about editing 100+ MB files.
>> Also because we have things like so-long to handle the large file case.
> These things are expedients for want of anything better, aren't they?

Yes, just like the narrowing your use in your long lines patch.

They're slightly different in that they don't try to prevent replacing
those solutions with something better (or worse), tho.

        Stefan